<template>
  <div class="bg-bgdsec rounded-32 p-8 sm:p-4 xs:p-4 relative overflow-hidden">
    <transition name="default-plug">
      <div v-show="loading" class="default-plug absolute inset-0 z-1">
        <div class="flex items-center justify-center w-full h-full"><LoadingSpinner /></div>
      </div>
    </transition>
    <div class="flex items-center justify-between mb-8 sm:mb-4 xs:mb-4">
      <p class="text-2xl leading-7 text-txtdprim font-bold sm:text-base xs:text-base sm:leading-5 xs:leading-5">
        {{ $t('index.endpoints') }}
      </p>
      <UiButton
        buttonHeight="sm"
        class="px-4 sm:px-0 xs:px-0 sm:w-12 xs:w-12 rounded-16 gap-4"
        @click="openTheConfigurator"
      >
        <p class="sm:hidden xs:hidden">{{ $t('index.add') }}</p>
        <img width="24" height="24" src="@/assets/images/views/index/plus.svg" />
      </UiButton>
    </div>
    <div v-if="isAuthorized" class="flex flex-col gap-4">
      <NodeCard v-for="(node, index) in nodes" :key="index" :node-info="node" />
    </div>
  </div>
</template>

<script lang="ts">
import LoadingSpinner from '@/components/ui/LoadingSpinner.vue';
import UiButton from '@/components/ui/UiButton.vue';
import NodeCard from '@/components/views/index/NodeCard.vue';

export default {
  name: 'IndexPage',

  components: { UiButton, LoadingSpinner, NodeCard },

  computed: {
    isAuthorized() {
      return this.$store.state.auth.isAuthorized;
    },

    nodes() {
      return this.$store.state.auth.userProjects;
    },

    loading() {
      return this.$store.state.system.projectsLoading;
    },
  },

  methods: {
    openTheConfigurator() {
      if (!this.isAuthorized) {
        this.$store.commit('setConnectModalDisplay', true);
        return;
      }
      this.$store.commit('setTheConfiguratorDisplay', true);
    },
  },
};
</script>

<style lang="scss"></style>
